#include <iostream>
using namespace std;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);

    int n,k;
    cin>>n>>k;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }

    for(int j=0;j<k;j++)
    {
        bool pom=false;
        for(int i=0;i<n-1;i++)
        {
            if(a[i]>a[i+1])pom=true;
            if(pom)a[i]=a[i+1];
        }
        n--;
    }
    for(int i=0;i<n-1;i++)
    {
        cout<<a[i]<<" ";
    }
    cout<<a[n-1];
    return 0;
}